Show / Hide Table of Contents

# Class LongList<T>.LongListEnumerator<TEt>

##### Inheritance

System.Object
LongList<T>.LongListEnumerator<TEt>

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Utility

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class LongListEnumerator<TEt> : IEnumerator<TEt>, IEnumerator, IDisposable

##### Type Parameters

Name | Description
--- | ---
TEt |

### Constructors

| Improve this Doc View Source

#### LongListEnumerator(LongList<TEt>)

Constructs a new enumerator for a given LongList

##### Declaration

    public LongListEnumerator(LongList<TEt> list)

##### Parameters

Type | Name | Description
--- | --- | ---
LongList<TEt> | list | The list to enumerate

### Properties

| Improve this Doc View Source

#### Current

Returns the current item in the enumeration

##### Declaration

    public TEt Current { get; }

##### Property Value

Type | Description
--- | ---
TEt |

##### Implements

System.Collections.Generic.IEnumerator<T>.Current

### Methods

| Improve this Doc View Source

#### Dispose()

Disposal method. Does nothing.

##### Declaration

    public void Dispose()

##### Implements

System.IDisposable.Dispose()
| Improve this Doc View Source

#### MoveNext()

Moves to the next item in the list we're iterating over

##### Declaration

    public bool MoveNext()

##### Returns

Type | Description
--- | ---
System.Boolean | Whether or not the move was successful

##### Implements

System.Collections.IEnumerator.MoveNext()
| Improve this Doc View Source

#### Reset()

Resets the enumeration

##### Declaration

    public void Reset()

##### Implements

System.Collections.IEnumerator.Reset()

### Explicit Interface Implementations

| Improve this Doc View Source

#### IEnumerator.Current

##### Declaration

    object IEnumerator.Current { get; }

##### Returns

Type | Description
--- | ---
System.Object |

##### Implements

System.Collections.IEnumerator.Current